org.apache.http.impl.pool

## Class BasicConnFactory

- java.lang.Object
- - org.apache.http.impl.pool.BasicConnFactory

All Implemented Interfaces:
  ConnFactory<HttpHost,HttpClientConnection>

    @Immutable
    public class BasicConnFactory
    extends Object
    implements ConnFactory<HttpHost,HttpClientConnection>

A very basic `ConnFactory` implementation that creates `HttpClientConnection` instances given a `HttpHost` instance.

Since:
  4.2
See Also:
  `HttpHost`

### Constructor Summary

Constructors
Constructor and Description
`BasicConnFactory()`
`BasicConnFactory(HttpParams params)` Deprecated. (4.3) use `BasicConnFactory(int, SocketConfig, ConnectionConfig)`.
`BasicConnFactory(int connectTimeout, SocketConfig sconfig, ConnectionConfig cconfig)`
`BasicConnFactory(SocketConfig sconfig, ConnectionConfig cconfig)`
`BasicConnFactory(SocketFactory plainfactory, SSLSocketFactory sslfactory, int connectTimeout, SocketConfig sconfig, ConnectionConfig cconfig)`
`BasicConnFactory(SSLSocketFactory sslfactory, HttpParams params)` Deprecated. (4.3) use `BasicConnFactory(SocketFactory, SSLSocketFactory, int, SocketConfig, ConnectionConfig)`.

### Method Summary

Methods
`HttpClientConnection` `create(HttpHost host)`
`protected HttpClientConnection` `create(Socket socket, HttpParams params)` Deprecated. (4.3) no longer used.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BasicConnFactory

    @Deprecated
    public BasicConnFactory(SSLSocketFactory sslfactory,
                               HttpParams params)

Deprecated. (4.3) use `BasicConnFactory(SocketFactory, SSLSocketFactory, int, SocketConfig, ConnectionConfig)`.

#### BasicConnFactory

    @Deprecated
    public BasicConnFactory(HttpParams params)

Deprecated. (4.3) use `BasicConnFactory(int, SocketConfig, ConnectionConfig)`.

#### BasicConnFactory

    public BasicConnFactory(SocketFactory plainfactory,
                    SSLSocketFactory sslfactory,
                    int connectTimeout,
                    SocketConfig sconfig,
                    ConnectionConfig cconfig)

Since:
  4.3

#### BasicConnFactory

    public BasicConnFactory(int connectTimeout,
                    SocketConfig sconfig,
                    ConnectionConfig cconfig)

Since:
  4.3

#### BasicConnFactory

    public BasicConnFactory(SocketConfig sconfig,
                    ConnectionConfig cconfig)

Since:
  4.3

#### BasicConnFactory

    public BasicConnFactory()

Since:
  4.3

### Method Detail

#### create

    @Deprecated
    protected HttpClientConnection create(Socket socket,
                                         HttpParams params)
                                   throws IOException

Deprecated. (4.3) no longer used.

Throws:
  `IOException`

#### create

    public HttpClientConnection create(HttpHost host)
                                throws IOException

Specified by:
  `create` in interface `ConnFactory<HttpHost,HttpClientConnection>`
Throws:
  `IOException`